package com.supervision.constant;

import java.util.Objects;

public enum ScoreEnum {
    EVIDENCE_NOT_FULL("1","证据不足", "司法机关对案件形成一致认定意见的概率比较大"),
    EVIDENCE_LACK("2","事实不清", "司法籍贯认定意见不一致的概率比较大"),
    EVIDENCE_FULL("3","证据充分", "司法籍贯会作出绝对不起诉或存疑不起诉的决定");

    private final String code;
    private final String name;
    private final String desc;

    ScoreEnum(String code,String name, String desc) {
        this.code = code;
        this.name = name;
        this.desc = desc;
    }

    public String getCode() {
        return code;
    }
    public String getName() {
        return name;
    }

    public String getDesc() {
        return desc;
    }

    public static ScoreEnum getScoreEnum(Integer score) {
        if (Objects.isNull(score)){
            return EVIDENCE_NOT_FULL;
        }

        if (score < 50){
            return EVIDENCE_NOT_FULL;
        }

        if (score <= 70){
            return EVIDENCE_LACK;
        }

        return EVIDENCE_FULL;
    }
}
