package com.supervision.police.dto.caseScore;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.extern.slf4j.Slf4j;

import java.util.List;

@Data
@Slf4j
public class CaseScoreDetailDTO {

    @Schema(description = "案件名称")
    private String caseName;

    @Schema(description = "共性指标分数")
    private Integer commonScore;

    @Schema(description = "入罪指标分数")
    private Integer crimeScore;

    @Schema(description = "分数描述")
    private String scoreDesc;

    @Schema(description = "司法定性")
    private String judicialCharacterization;

    @Schema(description = "共性指标数量")
    private Integer commonIndexCount;

    @Schema(description = "共性指标命中数量")
    private Integer commonIndexHitCount;

    @Schema(description = "共性指标命描述(指标+命中的原子指标)")
    private List<String> commonIndexDescList;

    @Schema(description = "入罪/出罪 0:入罪 1：出罪")
    private Integer crimeOrOut;

    @Schema(description = "入罪/出罪指标数量")
    private Integer specificCrimeIndexCount;

    @Schema(description = "入罪/出罪指标命中数量")
    private Integer specificCrimeIndexHitCount;

    @Schema(description = "入罪/出罪指标命描述(指标+命中的原子指标)")
    private List<String> specificCrimeIndexDescList;

    @Schema(description = "缺失的原子指标数量")
    private Integer missAtomicIndexCount;


}
